import javax.microedition.lcdui.*;

public class settingsForm extends Form implements CommandListener {
 midlet midlet;
 Displayable parent;
 ChoiceGroup settings;
 TextField name;

 public settingsForm (midlet midlet, Displayable parent, String hdr) {
  super (hdr);
  this.midlet = midlet;
  this.parent = parent;

  settings = new ChoiceGroup (Settings.settingsInput, ChoiceGroup.MULTIPLE, Settings.settingsMenu, null);
  boolean b;
  if (midlet.type_show>0) b=true; 
  else b=false;
  settings.setSelectedIndex (0,b);
  if (midlet.person_show>0) b=true; 
  else b=false;
  settings.setSelectedIndex (1,b);
  if (midlet.extra_show>0) b=true; 
  else b=false;
  settings.setSelectedIndex (2,b);
  if (midlet.comment_show>0) b=true; 
  else b=false;
  settings.setSelectedIndex (3,b);

  name = new TextField (Settings.lessonnameInput, midlet.lessonname, 12, TextField.ANY);

  append (settings);
  append (name);
  addCommand (midlet.Back);
  addCommand (midlet.Save);
 }

 public void show () {
  Display.getDisplay(midlet).setCurrent (this);
  setCommandListener (this);
 }

 public void commandAction (Command c, Displayable d) {
  if (c==midlet.Back) {
   Display.getDisplay(midlet).setCurrent(parent);
  }
  else if (c==midlet.Save) {
   String s = name.getString().trim();
   if (s.length()<1) {
    new Message (midlet, this, Settings.errorHeader).show (Settings.voidFieldMessage);
    return;
   }
   midlet.lessonname=midlet.upFirst(s);
   if (settings.isSelected(0)) midlet.type_show=1;
   else midlet.type_show=0;
   if (settings.isSelected(1)) midlet.person_show=1;
   else midlet.person_show=0;
   if (settings.isSelected(2)) midlet.extra_show=1;
   else midlet.extra_show=0;
   if (settings.isSelected(3)) midlet.comment_show=1;
   else midlet.comment_show=0;
   midlet.settings_changed=true;
   midlet.updateListHeaders ();
   Display.getDisplay(midlet).setCurrent(parent);
  }
 }

}