import javax.microedition.lcdui.*;
import java.util.Vector;

public class dayForm extends List implements CommandListener {
 midlet midlet;
 Displayable parent;
 Vector numZ; //    midlet.dayZ,...
 boolean actualized=false;
 int cz,dayOfWeek;

 private boolean actual (String s1,String s2) {//    s1  s2?
  int h=midlet.hour,m=midlet.min;
  int h1,m1,h2,m2;
  try {
   h1=Integer.parseInt(s1.substring(0,2));
   m1=Integer.parseInt(s1.substring(3));
   h2=Integer.parseInt(s2.substring(0,2));
   m2=Integer.parseInt(s2.substring(3));
  }
  catch (NumberFormatException e) { return false; }
  int t = h*60+m,t1=h1*60+m1,t2=h2*60+m2;          
  //System.out.println ("actual: t1="+t1+" t="+t+" t2="+t2);
  if (t1<t2) { return ((t1<=t) && (t<=t2) ? true : false); }
  else { return ((t1<=t) || (t<=t2) ? true : false); }
 }

 private void add (int i) {
//System.out.println ("i="+i+" name="+midlet.name.elementAt(i).toString()+" pZ="+midlet.pairZ.elementAt(i).toString());//!!!
  String s=midlet.name.elementAt(i).toString();
  if (s.length()>10) s=s.substring(0,10)+"...";
  s=midlet.times[Integer.parseInt(midlet.pairZ.elementAt(i).toString())-1][0]+": "+s;

  String type=midlet.type.elementAt(i).toString();
  boolean found=false;
  for (int k=0; k<midlet.lessons.size(); k++) { //  
   if (midlet.lessons.getString(k).compareTo(type)==0) {
    if (actualized==true && actual (midlet.times[Integer.parseInt(midlet.pairZ.elementAt(i).toString())-1][0],midlet.times[Integer.parseInt(midlet.pairZ.elementAt(i).toString())-1][1])) { 
     append (s,midlet.currImage);
    }
    else {
     int im=Integer.parseInt(midlet.images.elementAt(k).toString());
     if (im==-1) append (s,midlet.voidImage);
     else append (s,midlet.standardImages[im]);
    }
    found=true;
    break;
   }
  }
  if (found==false) { //   -   
   if (actualized==true && actual (midlet.times[Integer.parseInt(midlet.pairZ.elementAt(i).toString())-1][0],midlet.times[Integer.parseInt(midlet.pairZ.elementAt(i).toString())-1][1])) {
    append (s,midlet.currImage);
   }
   else append (s,midlet.voidImage);
  }
  numZ.addElement (""+i);
//System.out.println ("s="+s);//!!!
 }

 boolean presentPair (int j) {
  if (size()<1) return false;
  String st = midlet.times[j][0],sk;
  for (int i=0; i<size(); i++) {
   sk=getString (i);
   if (sk.startsWith (st)==true) {
    return true;
   }
  }
  return false;
 }


 public void update () {
  String s1,s2,st1,st2; 
  int i1,i2,i,j; 
  Image im1,im2;
  if (size()>0) { // ,    
   while (size()>0) delete (0);
   numZ = null;
  }
  numZ=new Vector ();
  int day,week;
  if (midlet.dayZ.size()>0) { //    
   for (i=0; i<midlet.dayZ.size(); i++) {
    day=Integer.parseInt(midlet.dayZ.elementAt(i).toString());
    if (day==dayOfWeek) {
     if (midlet.week12==0) add (i);
     else {
      week=Integer.parseInt(midlet.weekZ.elementAt(i).toString());
      if (week==0 || week==cz) add (i);
     }
    }
   }
  }
  if (actualized==true) { //     
   for (j=0; j<8; j++) { // 
    if (actual(midlet.times[j][0],midlet.times[j][1])==true) {
     if (presentPair(j)==false) {
      int m1=-1;
      numZ.addElement (""+m1);
      append (midlet.times[j][0]+": ---",midlet.currImage);
      break;
     }
    }
   }
  }

  //    
  if (size()>1) for (i1=0; i1<size()-1; i1++) {
   for (i2=i1+1; i2<size(); i2++) {
    s1=getString (i1);
    im1 = getImage (i1);
    s2=getString (i2);
    im2=getImage (i2);
    if (s1.compareTo(s2)>0) {

     set (i1,s2,im2);
     set (i2,s1,im1);

     s2=numZ.elementAt(i1).toString();
     numZ.setElementAt (numZ.elementAt(i2).toString(),i1);
     numZ.setElementAt (s2,i2);
    }
   }
  }

  //  
  for (i=0; i<size(); i++) { 
   s1=getString (i);
   for (j=0; j<8; j++) { // 
    s2=midlet.times[j][0];
    int j1=j+1;
    if (s1.startsWith(s2)==true) {
     set (i,j1+". "+getString(i),getImage(i));
     break;
    }
   }
   if (actualized==true) { //   -    
    if (getImage(i)==midlet.currImage) {
     setSelectedIndex (i, true);
    }
   }
  }
 }

 public dayForm (boolean updateFlag, midlet midlet, Displayable parent, String hdr, int cz, int dayOfWeek) {
  super (hdr, Choice.IMPLICIT);
  this.midlet = midlet;
  this.parent = parent;
  this.cz = cz;
  this.dayOfWeek = dayOfWeek;
  addCommand (midlet.Back);
  addCommand (midlet.New);
  if (updateFlag==false) actualized = true;
  update ();
 }

 public dayForm (midlet midlet, Displayable parent, String hdr, int cz, int dayOfWeek) {
  // 
  this (true,midlet,parent,hdr,cz,dayOfWeek);
 }

 public dayForm (midlet midlet, Displayable parent, String hdr, int cz, int dayOfWeek, boolean actualized) {
  // 
  this (false,midlet,parent,hdr,cz,dayOfWeek);
 }

 public void show () {
  Display.getDisplay(midlet).setCurrent (this);
  setCommandListener (this);
 }

 public void commandAction (Command c, Displayable d) {
  if (c==List.SELECT_COMMAND) {
   int n= getSelectedIndex();
   if (Integer.parseInt(numZ.elementAt(n).toString())!=-1) {
    pairForm pairForm = new pairForm (midlet, this, Settings.pairHeader, cz , dayOfWeek, Integer.parseInt(numZ.elementAt(n).toString()), this);
    pairForm.show ();
   }
  }
  else if (c==midlet.Back) {
   Display.getDisplay(midlet).setCurrent(parent);
  }
  else if (c==midlet.New) {
   midlet.dayZ.addElement (""+dayOfWeek);
   if (midlet.week12>0) midlet.weekZ.addElement (""+cz);
   else midlet.weekZ.addElement ("0");
   midlet.name.addElement(Settings.lastName);
   midlet.aud.addElement(Settings.lastAud);
   midlet.type.addElement("");
   midlet.pairZ.addElement("");
   midlet.prep.addElement("");
   midlet.comment.addElement("");
   int n=midlet.dayZ.size()-1;
   numZ.addElement (""+n);
   pairEditForm pairEditForm = new pairEditForm (midlet, parent, Settings.New, cz, dayOfWeek, n, this);
   pairEditForm.show();
  }
 }

}