import javax.microedition.lcdui.*;

public class daySetForm extends Form implements CommandListener {
 midlet midlet;
 Displayable parent;
 ChoiceGroup days;

 public daySetForm (midlet midlet, Displayable parent, String hdr) {
  super (hdr);
  this.midlet = midlet;
  this.parent = parent;

  days = new ChoiceGroup (Settings.lessonDaysInput, ChoiceGroup.MULTIPLE, Settings.dowStr, null);
  boolean b;
  for (int i=0; i<7; i++) {
   if (midlet.days[i]>0) b=true; 
   else b=false;
   days.setSelectedIndex (i,b);
  }
  days.append (Settings.week12Input, null);
  if (midlet.week12>0) b=true; else b=false;
  days.setSelectedIndex (7,b);

  append (days);
  addCommand (midlet.Back);
  addCommand (midlet.Save);
 }

 public void show () {
  Display.getDisplay(midlet).setCurrent (this);
  setCommandListener (this);
 }

 public void commandAction (Command c, Displayable d) {
  if (c==midlet.Back) {
   Display.getDisplay(midlet).setCurrent(parent);
  }
  else if (c==midlet.Save) {
   int k=0;
   for (int i=0; i<7; i++) {
    if (days.isSelected(i)) k++;
   }
   if(k<1) {
    new Message (midlet, this, Settings.errorHeader).show (Settings.atLeastOneDayMessage);
    return;
   }
   for (int i=0; i<7; i++) {
    if (days.isSelected(i)) midlet.days[i]=1;
    else midlet.days[i]=0;
   }
   if (days.isSelected(7)) midlet.week12=1;
   else midlet.week12=0;
   midlet.settings_changed=true;
   midlet.updateListHeaders ();
   midlet.updateDOW ();
   Display.getDisplay(midlet).setCurrent(parent);
  }
 }

}