import javax.microedition.lcdui.*;

public class firstDay extends Form implements CommandListener {
 midlet midlet;
 Displayable parent;
 TextField day1Input;
 ChoiceGroup month1Input;

 public firstDay (midlet midlet, Displayable parent, String hdr) {
  super (hdr);
  this.midlet = midlet;
  this.parent = parent;
  day1Input = new TextField (Settings.day1Input, midlet.day1+"", 2, TextField.NUMERIC);  
  month1Input = new ChoiceGroup (Settings.month1Input, ChoiceGroup.EXCLUSIVE, Settings.monthStr, null);
  month1Input.setSelectedIndex(midlet.month1,true);
  append (day1Input);
  append (month1Input);
  addCommand (midlet.Back);
  addCommand (midlet.Save);
 }

 public void show () {
  Display.getDisplay(midlet).setCurrent (this);
  setCommandListener (this);
 }

 public void commandAction (Command c, Displayable dsp) {
  if (c==midlet.Back) {
   Display.getDisplay(midlet).setCurrent(parent);
  }
  else if (c==midlet.Save) {
   int d=Integer.parseInt(day1Input.getString());
   int m=month1Input.getSelectedIndex();
   if (midlet.correctDate (midlet.year,d,m)==false) {
    new Message (midlet, this, Settings.errorHeader).show (""+midlet.oNum(d)+"."+midlet.oNum(m+1)+" "+Settings.incorrectInMessage+" "+midlet.year);
    return;
   }    
   midlet.month1 = m;
   midlet.day1 = d;
   midlet.settings_changed=true;
   midlet.updateListHeaders ();
   Display.getDisplay(midlet).setCurrent(parent);
  }
 }

}