import javax.microedition.lcdui.*;
import java.util.Vector;

public class listEditor extends List implements CommandListener { 
 midlet midlet;
 Displayable parent;
 StringItem msg;
 int mode,mymode,n,numZ;
 //mode=0 - , 1 -  
 //mymode=0-1-2 - --
 String hdr;
 List props;
 boolean changed = false;
 TextBox editForm;
 Form confirmForm;
 boolean selector; // true -        numZ
 private gaugeForm gauge;
 Image im; 
 public Vector images;

 public String getMainTitle () {
  return hdr+" ("+size()+")";
 }

 public void setMainTitle () {
  setTitle (getMainTitle());
 }

 public listEditor (midlet midlet, Displayable parent, String hdr, List props, int mode) {
  //   
  super (hdr, List.IMPLICIT);
  this.midlet = midlet;
  this.parent = parent;
  this.hdr = hdr;
  this.props = props;
  for (int i=0; i<props.size(); i++)
   append (props.getString(i),props.getImage(i));
  this.mode = mode;
  addCommand (midlet.Back);
  addCommand (midlet.New);
  addCommand (midlet.Change);
  addCommand (midlet.Delete);
  addCommand (midlet.Up);
  addCommand (midlet.Down);
  addCommand (midlet.Copy);
  addCommand (midlet.Sort);
  if (mode==1) addCommand (midlet.Picture);
  addCommand (midlet.DeleteAll);

  editForm = new TextBox (Settings.New,"",256,TextField.ANY);
  editForm.addCommand(midlet.Back);
  editForm.addCommand(midlet.Save);
  editForm.setCommandListener(this);

  confirmForm = new Form (Settings.warningHeader);
  confirmForm.addCommand(midlet.No);
  confirmForm.addCommand(midlet.Yes);
  msg=new StringItem ("",Settings.deleteAllMsg);
  confirmForm.append (msg);
  confirmForm.setCommandListener(this);

  mymode=0;
  selector = false;

  try {
   im=Image.createImage("/void.png");
  }
  catch (java.io.IOException e) { 
   new Message (midlet, this, Settings.errorHeader).show (Settings.resourceErrorMsg);
  }
 }

 private void getImagesIndex (Vector img) {
  images = new Vector ();
  for (int i=0; i<img.size(); i++) images.addElement (img.elementAt(i));
 }

 public listEditor (midlet midlet, Displayable parent, String hdr, List props, int mode, Vector images) {
  this (midlet,parent,hdr,props,mode);
  getImagesIndex (images);
 }

 public listEditor (midlet midlet, Displayable parent, String hdr, List props, int mode, int numZ) {
  //    
  this (midlet, parent, hdr, props, mode);
  this.numZ = numZ;
  String s;
  if (mode==0) {
   s=midlet.prep.elementAt(numZ).toString();
   for (int j=0; j<size(); j++) {
    if (getString(j).equals(s)==true) {
     setSelectedIndex (j,true); break;
    }
   }
  }
  else if (mode==1) {
   s=midlet.type.elementAt(numZ).toString();
   for (int j=0; j<size(); j++) {
    if (getString(j).equals(s)==true) {
     setSelectedIndex (j,true); break;
    }
   }
  }
  selector = true;
 }

 public listEditor (midlet midlet, Displayable parent, String hdr, List props, int mode, int numZ, Vector images) {
  this (midlet,parent,hdr,props,mode,numZ);
  getImagesIndex (images);
 }

 public void show () {
  setMainTitle ();
  Display.getDisplay(midlet).setCurrent(this);
  setCommandListener(this);
 }

 private void save (int mode) {
  if (changed) {
   switch (mode) {
    case 0:
     while (midlet.persons.size()>0) midlet.persons.delete (0);
     for (int i=0; i<size(); i++) 
      midlet.persons.append (getString(i),getImage(i));
     midlet.persons_changed=true;
    break;
    case 1:
     while (midlet.lessons.size()>0) {
      midlet.lessons.delete (0);
      midlet.images.removeElementAt (0);
     }
     for (int i=0; i<size(); i++) {
      midlet.lessons.append (getString(i),getImage(i));
      midlet.images.addElement (images.elementAt(i).toString());
     }
     midlet.lessons_changed=true;
    break;
   }
  }
 }

 public void commandAction(Command c, Displayable d) {
  if (c==List.SELECT_COMMAND) {
   if (selector == false) { //   Change
    n = getSelectedIndex ();
    if (n>-1) {
     mymode=2;
     editForm.setString (getString(n));
     Display.getDisplay(midlet).setCurrent(editForm);
    }
   }
   else {
    if (mode==0) {
     midlet.prep.setElementAt(getString(getSelectedIndex()),numZ);
    }
    else if (mode==1) {
     midlet.type.setElementAt(getString(getSelectedIndex()),numZ);
    }
    save (mode);
    Display.getDisplay(midlet).setCurrent(parent);
   }
  }
  else {
   if (c == midlet.Back) { 
    if (mymode == 0) {
     //if (selector==false) 
     save (mode);
     Display.getDisplay(midlet).setCurrent(parent);
    }
    else {
     mymode=0;
     Display.getDisplay(midlet).setCurrent (this);
    }
   }
   else if (c== midlet.New) {
    n = getSelectedIndex ();
    mymode=1;
    editForm.setString ("");
    Display.getDisplay(midlet).setCurrent(editForm);
   }
   else if (c== midlet.Change) {
    n = getSelectedIndex ();
    if (n>-1) {
     mymode=2;
     editForm.setString (getString(n));
     Display.getDisplay(midlet).setCurrent(editForm);
    }
   }
   else if (c== midlet.Save) {
    String txt = midlet.upFirst(editForm.getString().trim());
    if (txt.length()<1) {
     new Message (midlet, this, Settings.warningHeader).show (Settings.voidFieldMessage);
     return;
    }
    n=getSelectedIndex ();
    if (mymode == 1) {
     if (n<0) { 
      append (txt, null); 
      if (mode==1) images.addElement (""+(-1));
     }
     else { 
      insert (n, txt, null); 
      if (mode==1) images.insertElementAt (""+(-1),n);
     }
     setMainTitle ();
     changed=true;
    }
    else if (mymode == 2) {
     set (n, txt, getImage(n));
     changed=true;
    }
    mymode=0;
    Display.getDisplay(midlet).setCurrent(this);
   }
   else if (c== midlet.Delete) {
    if (size()>0) {
     n = getSelectedIndex ();
     if (n > -1) {
      delete (n);
      if (mode==1) images.removeElementAt (n);
      changed=true;
      if (size()<1) new Message (midlet, this, Settings.warningHeader).show (Settings.voidListMsg);
      setMainTitle ();
     }
    }
   }
   else if (c== midlet.Up) {
    if (size()>1) {
     n = getSelectedIndex ();
     if (n>0) {
      String s=getString (n);
      im=getImage (n);
      delete (n);
      insert (n-1,s,im);
      if (mode==1) {
       int nn = Integer.parseInt(images.elementAt(n).toString());
       images.removeElementAt (n);
       images.insertElementAt (""+nn,n-1);
      }
      setSelectedIndex (n-1,true);
      changed=true;
     }
    }
   }
   else if (c== midlet.Down) {
    if (size()>1) {
     n = getSelectedIndex ();
     if (n<size()-1) {
      String s=getString (n);
      im = getImage (n);
      int nn=-1;
      if (mode==1) nn=Integer.parseInt(images.elementAt(n).toString());
      delete (n);
      if (mode==1) images.removeElementAt (n);
      if (n==size()-1) {
       append (s,im);
       if (mode==1) images.addElement (""+nn);
       setSelectedIndex (size()-1,true);
      }
      else {
       insert (n+1,s,im);
       if (mode==1) images.insertElementAt (""+nn,n+1);
       setSelectedIndex (n+1,true);
      }
      changed=true;
     }
    }
   }
   else if (c == midlet.DeleteAll) {
    Display.getDisplay(midlet).setCurrent(confirmForm);
   }
   else if (c == midlet.Yes) {
    while (size()>0) { 
     delete (0); 
     if (mode==1) images.removeElementAt (0);
    }
    setMainTitle ();
    changed = true;
    Display.getDisplay(midlet).setCurrent(this);
   }
   else if (c == midlet.No) {
    Display.getDisplay(midlet).setCurrent(this);
   }
   else if (c == midlet.Copy) {
    if (size()>0) {
     n = getSelectedIndex ();
     insert (n, getString(n), getImage(n)); 
     if (mode==1) {
      int nn = Integer.parseInt(images.elementAt(n).toString());
      images.insertElementAt (""+nn,n);
     }
     setMainTitle ();
     changed=true;
    }
   }
   else if (c == midlet.Sort) {
    if (size()>1) {
     String s; int i,j; 
     boolean sorted=false;
     gauge = new gaugeForm (midlet,this,Settings.SortStr,1,size()-1);
     Display.getDisplay(midlet).setCurrent(gauge);
     for (i=0; i<size()-1; i++) {
      gauge.draw (i);
      for (j=i+1; j<size(); j++) {
       if (getString(i).compareTo(getString(j))>0) {
        s = getString (i); im = getImage (i);
        set (i,getString(j),getImage(j));
        set (j,s,im);
        if (mode==1) {
         int nn = Integer.parseInt(images.elementAt(i).toString());
         int nn2 = Integer.parseInt(images.elementAt(j).toString());
         images.setElementAt (""+nn2,i);
         images.setElementAt (""+nn,j);
        }
       }
      }
      if (i==size()-2) sorted=true;
//System.out.println ("i="+i);//!!!
     }
     changed=true;
     while (sorted==false);
//System.out.println ("here");//!!!
     gauge.close (); //Display.getDisplay(midlet).setCurrent(this);
    }
   }
   else if (c == midlet.Picture) {
    if (size()>0) {
     n=getSelectedIndex ();
     selectPicture selectPicture = new selectPicture (midlet, this, this, n);
     Display.getDisplay(midlet).setCurrent(selectPicture);
     changed=true;
    }
   }
   else {
    return;
   }
  }
 }

}
